---
title: "Get Vulnerable For Hijack Sub Domains By Service"
url: "https://docs.api.malanta.ai/apis/malanta-api/versions/5b38fd3a-a84b-4fa1-a187-68f58014c7e9/paths/getVulnerableForHijackSubDomainsByService/get"
---

> Full API specification: https://docs.api.malanta.ai/apis/malanta-api/versions/5b38fd3a-a84b-4fa1-a187-68f58014c7e9.md

# Get Vulnerable For Hijack Sub Domains By Service

`GET` `/getVulnerableForHijackSubDomainsByService`

IoPA (Exposures & Attack Infrastructure) endpoint for get vulnerable for hijack sub domains by service

## Query parameters

- `service` (string, required) - Service name to analyze

## Responses

- `200` - Successful response
- `400` - Bad request
- `401` - Unauthorized - Invalid or missing API key
- `429` - Too Many Requests - Rate limit exceeded
- `500` - Internal Server Error

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Malanta.ai Labs API
  version: 2.0.110
servers:
  - url: https://api.malanta.ai
    description: Production API Server
paths:
  /getVulnerableForHijackSubDomainsByService:
    get:
      summary: Get Vulnerable For Hijack Sub Domains By Service
      description: IoPA (Exposures & Attack Infrastructure) endpoint for get
        vulnerable for hijack sub domains by service
      tags:
        - IoPA (Exposures & Attack Infrastructure)
      parameters:
        - name: service
          in: query
          description: Service name to analyze
          required: true
          schema:
            type: string
          example: CloudService
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
        "400":
          $ref: "#/components/responses/BadRequest"
        "401":
          $ref: "#/components/responses/Unauthorized"
        "429":
          $ref: "#/components/responses/TooManyRequests"
        "500":
          $ref: "#/components/responses/InternalServerError"
security:
  - ApiKeyAuth: []
components:
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
    Unauthorized:
      description: Unauthorized - Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
    TooManyRequests:
      description: Too Many Requests - Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
        message:
          type: string
          description: Detailed error description
        code:
          type: integer
          description: HTTP status code
      required:
        - error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Contact support to obtain your key.
```
